stages:
  - test
  - report

variables:
  TEST_RESULTS_PATH: 'target/surefire-reports/TEST-com.obsidian.ObsidianTest.xml'
  SELENIUM_REMOTE_URL: http://selenium__standalone-chrome:4444/wd/hub/ 
  OBSIDIAN_PROJECT_ID: 'ec6c33e8-8244-400f-8be7-29e3097256c9'
  OBSIDIAN_ENVIRONMENT_ID: '93be8bdc-9d20-4337-857e-3e2a6b8dcb29'

services:
  - selenium/standalone-chrome:latest

test:
  image: maven:3-jdk-11
  stage: test
  before_script:
    - 'mvn clean install'
  script:
    - 'mvn surefire-report:report'
  artifacts:
    when: always
    paths:
      - $TEST_RESULTS_PATH
    expire_in: 1 day

upload-results:
  image: node:14-alpine
  stage: report
  only:
    - master
  variables:
    OBSIDIAN_MAPPER: 'obsidian-junit-mapper'
  script:
    - yarn global add obsidian-cli $OBSIDIAN_MAPPER
    - obsidian testruns import $TEST_RESULTS_PATH
        --mapper $OBSIDIAN_MAPPER
        --environment $OBSIDIAN_ENVIRONMENT_ID
        --project $OBSIDIAN_PROJECT_ID
        --apikey $OBSIDIAN_API_KEY
        --apisecret $OBSIDIAN_API_SECRET_KEY
        --tags "tutorial, $CI_PIPELINE_SOURCE"